# Code Submission for ICLR 2025 Submission: *ION-C: Integration of Overlapping Networks via Constraints*

- `clingo/clingo_code.txt` includes the raw Clingo problem specification, as provided in Listing 1 in the paper.
- `src/ion_testing.py` is the file used to run and evaluate the main simulations presented in Section 4. The file was created to be run as part of a Slurm job array, but can be run as a standalone file as long as the correct command-line arguments are passed to the file. Users may need to change certain filesystem paths to adapt to use on other machines.
- `src/utils.py` contains code for most of the operations in `ion_testing.py`, such as creating graphs, writing the ION problem, and parsing the output.
- `src/graph_utils.py` contains code for graph generation, adapted from a package with name withheld for anonymity
- `ess/run_pc_pool.py` contains code for taking columns from European Social Survey 8 and 9, learning a shared causal graph with PC and p-value pooling, and then outputting a specification of the ION problem.